import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:signage_app/const/colors.dart';
import 'package:signage_app/const/dimens.dart';
import 'package:signage_app/widget/footer.dart';
import 'package:signage_app/widget/side.dart';
import 'package:signage_app/widget/video.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      theme: ThemeData(
        primarySwatch: Colors.blue,
        fontFamily: 'IPAGothic',
      ),
      home: const MyHomePage(),
    );
  }
}

class MyHomePage extends StatelessWidget {
  const MyHomePage({super.key});

  @override
  Widget build(BuildContext context) {
    final Size deviceSize = MediaQuery.of(context).size;

    return Scaffold(
      extendBodyBehindAppBar: true,
      backgroundColor: bodyBackgroundColor,
      body: Column(
        children: [
          Row(
            children: [
              Video(
                size: Size(
                  deviceSize.width * videoWidthRatio,
                  deviceSize.height * videoHeightRatio,
                ),
              ),
              Expanded(
                child: Side(
                  size: Size(
                    double.infinity,
                    deviceSize.height * videoHeightRatio,
                  ),
                ),
              ),
            ],
          ),
          Expanded(
            child: ProviderScope(
              child: Footer(
                size: Size(deviceSize.width, double.infinity),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
