import 'dart:math';
import 'package:flutter/material.dart';
import 'package:signage_app/const/colors.dart';
import 'package:signage_app/const/config.dart';
import 'package:signage_app/const/dimens.dart';

class Information extends StatelessWidget {
  const Information(
      {super.key, this.size = const Size(double.infinity, double.infinity)});

  final Size size;

  @override
  Widget build(BuildContext context) {
    final Size widgetSize = MediaQuery.of(context).size;
    return Container(
      width: size.width,
      height: size.height,
      color: bodyBackgroundColor,
      child: Stack(
        children: [
          Align(
            alignment: Alignment.centerLeft,
            // Use ClipRRect to rotate the widget so it is drawn on top
            // https://github.com/flutter/flutter/issues/75731
            child: ClipRRect(
              clipBehavior: Clip.hardEdge,
              child: Transform.translate(
                // Shift the x-coordinate by half the width from the center of
                // the widget, half the height of the widget and the height
                // rotated by 60 degrees.
                offset: Offset(
                    -(widgetSize.width * informationWidthRatio / 2 +
                        widgetSize.height * informationHeightRatio / 3.73),
                    0.0),
                child: Transform.rotate(
                  angle: -pi / 3,
                  child: Container(
                    color: dateBackgroundColor,
                  ),
                ),
              ),
            ),
          ),
          Align(
            alignment: Alignment.center,
            child: Text(
              informationText,
              style: TextStyle(
                fontSize: widgetSize.height * informationFontSizeRatio,
                color: dateAndTimeTextColor,
              ),
              textAlign: TextAlign.center,
            ),
          ),
        ],
      ),
    );
  }
}
