import 'package:flutter/material.dart';
import 'package:signage_app/const/colors.dart';

Widget overlayText(
    String data, Size containerSize, double? fontSize, double strokeWidth) {
  return SizedBox(
    width: containerSize.width,
    height: containerSize.height,
    child: Stack(
      children: [
        // Stroked text as border.
        Align(
          alignment: Alignment.center,
          child: Text(
            data,
            style: TextStyle(
              fontSize: fontSize,
              foreground: Paint()
                ..style = PaintingStyle.stroke
                ..strokeWidth = strokeWidth
                ..color = textColor,
            ),
          ),
        ),
        // Solid text as fill.
        Align(
          alignment: Alignment.center,
          child: Text(
            data,
            style: TextStyle(
              fontSize: fontSize,
              color: overlayTextFillColor,
            ),
          ),
        ),
      ],
    ),
  );
}
