import 'package:flutter/material.dart';
import 'package:scroll_loop_auto_scroll/scroll_loop_auto_scroll.dart';
import 'package:signage_app/const/colors.dart';
import 'package:signage_app/const/config.dart';
import 'package:signage_app/const/dimens.dart';

class ScrollText extends StatelessWidget {
  const ScrollText(
      {super.key, this.size = const Size(double.infinity, double.infinity)});

  final Size size;

  @override
  Widget build(BuildContext context) {
    final Size widgetSize = MediaQuery.of(context).size;
    return SizedBox(
      height: size.height,
      width: size.width,
      child: ScrollLoopAutoScroll(
        scrollDirection: Axis.horizontal,
        duration: const Duration(seconds: scrollDuration),
        gap: scrollGap.toDouble(),
        duplicateChild: scrollDuplicateChild,
        child: Text(
          scrollText,
          style: TextStyle(
            fontSize: widgetSize.height * scrollTextFontSizeRatio,
            fontWeight: FontWeight.w500,
            color: textColor,
          ),
        ),
      ),
    );
  }
}
